Build #8 for debian-3.40

[all reports]

Package debian-3.40
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-31 08:29:08.103307 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies HaXml-1.25.3, Unixutils-1.54.1, base-4.9.0.0, bytestring-0.10.8.1, bzlib-0.5.0.5, containers-0.5.7.1, directory-1.2.6.2, filepath-1.4.1.0, mtl-2.2.1, network-2.6.3.1, old-locale-1.0.0.7, parsec-3.1.11, pretty-1.1.3.3, process-1.4.2.0, regex-compat-0.95.1, regex-posix-0.95.2, syb-0.6, time-1.6.0.1, unix-2.7.2.0, zlib-0.6.1.2, HaXml-1.25.3, Unixutils-1.54.1, base-4.9.0.0, bytestring-0.10.8.1, bzlib-0.5.0.5, containers-0.5.7.1, directory-1.2.6.2, filepath-1.4.1.0, mtl-2.2.1, network-2.6.3.1, old-locale-1.0.0.7, parsec-3.1.11, pretty-1.1.3.3, process-1.4.2.0, regex-compat-0.95.1, regex-posix-0.95.2, syb-0.6, time-1.6.0.1, unix-2.7.2.0, zlib-0.6.1.2, Cabal-1.24.0.0, HaXml-1.25.3, Unixutils-1.54.1, base-4.9.0.0, bytestring-0.10.8.1, bzlib-0.5.0.5, containers-0.5.7.1, directory-1.2.6.2, filepath-1.4.1.0, mtl-2.2.1, network-2.6.3.1, old-locale-1.0.0.7, parsec-3.1.11, pretty-1.1.3.3, process-1.4.2.0, regex-compat-0.95.1, regex-posix-0.95.2, syb-0.6, time-1.6.0.1, unix-2.7.2.0, zlib-0.6.1.2, HaXml-1.25.3, Unixutils-1.54.1, base-4.9.0.0, bytestring-0.10.8.1, bzlib-0.5.0.5, containers-0.5.7.1, directory-1.2.6.2, filepath-1.4.1.0, mtl-2.2.1, network-2.6.3.1, old-locale-1.0.0.7, parsec-3.1.11, pretty-1.1.3.3, process-1.4.2.0, regex-compat-0.95.1, regex-posix-0.95.2, syb-0.6, time-1.6.0.1, unix-2.7.2.0, zlib-0.6.1.2, HaXml-1.25.3, Unixutils-1.54.1, base-4.9.0.0, bytestring-0.10.8.1, bzlib-0.5.0.5, containers-0.5.7.1, directory-1.2.6.2, filepath-1.4.1.0, mtl-2.2.1, network-2.6.3.1, old-locale-1.0.0.7, parsec-3.1.11, pretty-1.1.3.3, process-1.4.2.0, regex-compat-0.95.1, regex-posix-0.95.2, syb-0.6, time-1.6.0.1, unix-2.7.2.0, zlib-0.6.1.2
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring bzlib-0.5.0.5...
Configuring cereal-0.5.4.0...
Building bzlib-0.5.0.5...
Building cereal-0.5.4.0...
Installed bzlib-0.5.0.5
Configuring data-default-class-0.1.2.0...
Building data-default-class-0.1.2.0...
Configuring dlist-0.8.0.2...
Installed data-default-class-0.1.2.0
Building dlist-0.8.0.2...
Configuring fmlist-0.9...
Installed cereal-0.5.4.0
Building fmlist-0.9...
Configuring entropy-0.3.7...
Installed fmlist-0.9
Configuring mtl-2.2.1...
Installed dlist-0.8.0.2
Building mtl-2.2.1...
Building entropy-0.3.7...
Configuring generic-deriving-1.11.1...
Installed mtl-2.2.1
Building generic-deriving-1.11.1...
Configuring old-locale-1.0.0.7...
Installed entropy-0.3.7
Building old-locale-1.0.0.7...
Configuring network-2.6.3.1...
Installed old-locale-1.0.0.7
Building network-2.6.3.1...
Configuring primitive-0.6.1.0...
Installed network-2.6.3.1
Building primitive-0.6.1.0...
Configuring random-1.1...
Installed generic-deriving-1.11.1
Configuring stm-2.4.4.1...
Installed primitive-0.6.1.0
Building random-1.1...
Building stm-2.4.4.1...
Configuring syb-0.6...
Installed stm-2.4.4.1
Configuring transformers-compat-0.5.1.4...
Installed random-1.1
Building syb-0.6...
Building transformers-compat-0.5.1.4...
Configuring utf8-string-1.0.1.1...
Installed transformers-compat-0.5.1.4
Building utf8-string-1.0.1.1...
Configuring text-1.2.2.1...
Installed syb-0.6
Building text-1.2.2.1...
Configuring zlib-0.6.1.2...
Installed utf8-string-1.0.1.1
Building zlib-0.6.1.2...
Installed zlib-0.6.1.2
Configuring data-default-instances-containers-0.0.1...
Building data-default-instances-containers-0.0.1...
Configuring regex-base-0.93.2...
Installed data-default-instances-containers-0.0.1
Building regex-base-0.93.2...
Configuring data-default-instances-old-locale-0.0.1...
Installed regex-base-0.93.2
Building data-default-instances-old-locale-0.0.1...
Configuring data-default-instances-dlist-0.0.1...
Installed data-default-instances-old-locale-0.0.1
Building data-default-instances-dlist-0.0.1...
Configuring exceptions-0.8.3...
Installed data-default-instances-dlist-0.0.1
Building exceptions-0.8.3...
Configuring vector-0.11.0.0...
Installed text-1.2.2.1
Building vector-0.11.0.0...
Configuring tagged-0.8.5...
Installed exceptions-0.8.3
Building tagged-0.8.5...
Installed tagged-0.8.5
Configuring regex-posix-0.95.2...
Building regex-posix-0.95.2...
Installed regex-posix-0.95.2
Configuring parsec-3.1.11...
Building parsec-3.1.11...
Configuring data-default-0.7.1.1...
Installed parsec-3.1.11
Building data-default-0.7.1.1...
Configuring polyparse-1.12...
Installed data-default-0.7.1.1
Building polyparse-1.12...
Configuring crypto-api-0.13.2...
Installed vector-0.11.0.0
Building crypto-api-0.13.2...
Installed polyparse-1.12
Configuring regex-compat-0.95.1...
Building regex-compat-0.95.1...
Configuring regex-tdfa-1.2.2...
Installed regex-compat-0.95.1
Building regex-tdfa-1.2.2...
Installed crypto-api-0.13.2
Configuring ListLike-4.5...
Building ListLike-4.5...
Installed ListLike-4.5
Configuring HaXml-1.25.3...
Building HaXml-1.25.3...
Installed regex-tdfa-1.2.2
Configuring pureMD5-2.1.3...
Building pureMD5-2.1.3...
Configuring process-extras-0.7.1...
Installed pureMD5-2.1.3
Building process-extras-0.7.1...
Installed process-extras-0.7.1
Configuring Unixutils-1.54.1...
Building Unixutils-1.54.1...
Installed Unixutils-1.54.1
Installed HaXml-1.25.3
Configuring debian-3.40...
Building debian-3.40...
Failed to install debian-3.40
Build log ( /home/builder/.cabal/logs/debian-3.40.log ):
cabal: Entering directory '/tmp/cabal-tmp-20487/debian-3.40'
Configuring debian-3.40...
Warning: 'ghc-options: -threaded' has no effect for libraries. It should only
be used for executables.
Building debian-3.40...
Preprocessing library debian-3.40...
[ 1 of 32] Compiling Distribution.Package.Debian.Setup ( Distribution/Package/Debian/Setup.hs, dist/build/Distribution/Package/Debian/Setup.o )
[ 2 of 32] Compiling Debian.Version.Internal ( Debian/Version/Internal.hs, dist/build/Debian/Version/Internal.o )
[ 3 of 32] Compiling Debian.Version.Common ( Debian/Version/Common.hs, dist/build/Debian/Version/Common.o )

Debian/Version/Common.hs:6:10: warning: [-Wtabs]
    Tab character found here, and in one further location.
    Please use spaces instead.
[ 4 of 32] Compiling Debian.Version.String ( Debian/Version/String.hs, dist/build/Debian/Version/String.o )
[ 5 of 32] Compiling Debian.Version.ByteString ( Debian/Version/ByteString.hs, dist/build/Debian/Version/ByteString.o )
[ 6 of 32] Compiling Debian.Version   ( Debian/Version.hs, dist/build/Debian/Version.o )

Debian/Version.hs:14:1: warning: [-Wunused-imports]
    The import of ‘Debian.Version.String’ is redundant
      except perhaps to import instances from ‘Debian.Version.String’
    To import instances alone, use: import Debian.Version.String()
[ 7 of 32] Compiling Debian.URI       ( Debian/URI.hs, dist/build/Debian/URI.o )

Debian/URI.hs:9:1: error:
    Failed to load interface for ‘Control.OldException’
    Perhaps you meant Control.Exception (from base-4.9.0.0)
    Use -v to see a list of the files searched for.

Debian/URI.hs:13:1: error:
    Failed to load interface for ‘Network.URI’
    Perhaps you meant Network.BSD (from network-2.6.3.1)
    Use -v to see a list of the files searched for.

Debian/URI.hs:16:1: error:
    Failed to load interface for ‘System.Unix.Process’
    Perhaps you meant
      System.Posix.Process (from unix-2.7.2.0)
      System.Process (from process-1.4.2.0)
      System.Unix.Files (from Unixutils-1.54.1)
    Use -v to see a list of the files searched for.
cabal: Leaving directory '/tmp/cabal-tmp-20487/debian-3.40'
cabal: Error: some packages failed to install:
debian-3.40 failed during the building phase. The exception was:
ExitFailure 1